# 180827 adjust readcounts with negative controls

setwd("~/Documents/UNI_und_VORLESUNGEN/14 Guelph/1 meta Mining KATRI/1 JAMP")
data <- read.csv("5_OTU_table_0.01_ZERO_v1.csv", stringsAsFactors=F)




negatives <- c(3:8, 10:14)
# col 9 neg C07 -> only for sample
neg <- NULL

for (i in 1:nrow(data)){
neg[i] <- max(data[i,negatives])
}

neg2 <- neg*2

temp <- colSums(data[3:98])
for (i in 3:98){
data[,i] <- data[,i]-neg2
data[,i][data[,i]<0] <- 0
}


data$M33_A <- data$M33_A - data$C07*2
data$M33_B <- data$M33_B - data$C07*2
data$M33_A[data$M33_A<0] <- 0
data$M33_B[data$M33_B<0] <- 0


data[nrow(data),3:98] <- temp-colSums(data[-nrow(data),3:98])

#cbind(names(data))

write.csv(file="temp_neg.csv", data, row.names=F)

data2 <- data[,-c(97, 98, 3:24)]
temp <- colSums(data2[3:74])

# delte samples not present in both replicates
cbind(names(data2))

for (i in seq(3, 74, 2)){ # use relative abundance here
A <- data2[,i]/sum(data2[,i])*100>=0.01
B <- data2[,i+1]/sum(data2[,i+1])*100>0.01

data2[,i][A+B!=2] <- 0
data2[,i+1][A+B!=2] <- 0
}

data2[nrow(data2),3:74] <- temp-colSums(data2[-nrow(data2),3:74])


write.csv(file="temp_neg_control_and_replicate_adjusted.csv", data2, row.names=F)


data3 <- data2[,3:74]
# merge replicates (average)

for (i in seq(1, 72, 2)){
data3[,i] <- round((data3[,i]/sum(data3[,i])*100+data3[,i+1]/sum(data3[,i+1])*100)/2, 4)
}

data3 <- data3[,seq(1, 72, 2)]
names(data3) <- sub("_A", "", names(data3))

data4 <- data.frame(data2[1:2], data3, data2[75:83], stringsAsFactors=F)

data5 <- data4[rowSums(data3)>0,]

write.csv(file="temp_neg_control_and_replicate_adjusted_REL.csv", data5, row.names=F)



# make heatmap
row.names(data5) <- data5[,2]

library("JAMP")

pdf("temp_neg_control_and_replicate_adjusted_REL.pdf", height=40, width=10)
OTU_heatmap(data5[3:38], col=rev(c("#d7191c", "#fdae61", "#ffffbf", "#abdda4", "#2b83ba")), abundance=F, rel=F)
dev.off()


