# 180813 jamp pipeline


library("devtools")
install_github("VascoElbrecht/JAMP", subdir="JAMP")


# make tagging table
setwd("~/Documents/UNI_und_VORLESUNGEN/14 Guelph/1 meta Mining KATRI/1 JAMP")
data <- read.csv("DNA_extraction_v4.csv", stringsAsFactors=F)

#ID FileName

temp <- gsub("_", "", data$Primer_combination)
temp <- sub("P5", "", temp)
temp <- sub("P7", "", temp)
temp <- sub("\\+", "_", temp)

new <- data.frame("ID"=temp, "FileName"=data$Sample_name, stringsAsFactors=F)
write.csv(new, file="combos_katri_v1.csv", row.names=F)





setwd("/Volumes/Jonah_Ventures/2018 - katri")

library("JAMP") # v0.58



# demultiplexing!
Demultiplexing_shifted(file1="Vasco-Run2_S1_L001_R1_001.fastq", file2="Vasco-Run2_S1_L001_R2_001.fastq", tags="~/Documents/UNI_und_VORLESUNGEN/14 Guelph/1 meta Mining KATRI/1 JAMP/new_tags_for_chiros_VE.csv", combinations="~/Documents/UNI_und_VORLESUNGEN/14 Guelph/1 meta Mining KATRI/1 JAMP/combos_katri_v1.csv", md5=F)

FastQC()

# check for PhiX
#system2("usearch", "-usearch_global \"/Volumes/Jonah_Ventures/2018 - katri/A_Demultiplexing_shifted/_data/N_debris_r1.txt\" -db \"~/Documents/UNI_und_VORLESUNGEN/14 Guelph/1 meta Mining KATRI/1 JAMP/PhiX.fasta\" -id 0.9 -strand both -blast6out \"/Volumes/Jonah_Ventures/2018 - katri/PhiX_table.txt\"")
# usearch -usearch_global "/Volumes/Jonah_Ventures/2018 - katri/A_Demultiplexing_shifted/_data/N_debris_r1.txt" -db "/Users/luckylion/Desktop/PhiX.fasta" -id 0.9 -strand both -blast6out "/Volumes/Jonah_Ventures/2018 - katri/PhiX_table.txt"

# Paired end merging
U_merge_PE()




files <- list.files("B_U_merge_PE/_data")

tf <- grepl("P5_BR", data$Primer_combination)

tforder <- match(sub("_PE.fastq", "", files), data$Sample_name)


cbind(tf[tforder], sub("_PE.fastq", "", files))

U_revcomp(RC=tf[tforder])





# trimm primers
Cutadapt(forward="GCHCCHGAYATRGCHTTYCC", reverse="TCDGGRTGNCCRAARAAYCA", bothsides=F)


#list.files(paste("C_U_revcomp", "/_data", sep=""), full.names=T)


Minmax(min=c(421-10), max=c(421+10))

# discard reads above 1 expected error
U_max_ee(max_ee=1)


U_cluster_otus()



Bold_web_hack("Taxonomy_OTU_1_500.txt")
Bold_web_hack("Taxonomy_OTU_501+.txt")


#delete_data()



# map to ref. Filter 0.001%
#Map2ref(refDB="/Users/luckylion/Documents/UNI_und_VORLESUNGEN/14 Guelph/1 Primer Validation/1 JAMP - Lib21/_REF_DB/Ref_374_nogap_edited_v1.fasta", filter=0.001)



#Remove_last_folder()
#U_subset(sample_size=500)

